## org.biojava.bio.seq.io.game
Interface ElementRecognizer

All Known Implementing Classes:
  ElementRecognizer.AllElementRecognizer, ElementRecognizer.ByLocalName, ElementRecognizer.ByNSName, ElementRecognizer.HasAttribute

    public interface ElementRecognizer

Simple interface for filtering SAX/StAX startElement events

Since:
  1.2
Author:
  Thomas Down

Nested Class Summary
`static class` `ElementRecognizer.AllElementRecognizer`
`static class` `ElementRecognizer.ByLocalName` Filter elements by local name (not recommended).
`static class` `ElementRecognizer.ByNSName` Filter elements by name and namespace.
`static class` `ElementRecognizer.HasAttribute` Filter elements on the existence of a specified attribute.

Field Summary
`static ElementRecognizer` `ALL`

Method Summary
`boolean` `filterStartElement(String nsURI, String localName, String qName, Attributes attrs)`

Field Detail

### ALL

    static final ElementRecognizer ALL

Method Detail

### filterStartElement

    boolean filterStartElement(String nsURI,
                               String localName,
                               String qName,
                               Attributes attrs)